## Apache Zeta Components Manual :: Docs For Class ezcWebdavInconsistencyException

### Webdav::ezcWebdavInconsistencyException

### Class ezcWebdavInconsistencyException

Exception thrown, whenever an operation failed that should not have failed.

The Webdav component (and especially the lock plugin) depends on a fine grained structure in the backend. The code contains many sanity checks to ensure, that this structure is valid. In case an inconsistency is detected, an exception of type ezcWebdavInconsistencyException ist thrown.

If you receive such an exception, you should check (and maybe reset) your backend data. If it happens more often, you might have discovered a bug in the Webdav component.

Source for this file: /Webdav/src/exceptions/inconsistency.php

    Exception
       |
       --ezcBaseException
          |
          --ezcWebdavException
             |
             --ezcWebdavInconsistencyException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

Documentation generated by phpDocumentor 1.4.3